diff -r c601891ced64 code/nel/src/sound/driver/openal/sound_driver_al.cpp
--- a/code/nel/src/sound/driver/openal/sound_driver_al.cpp	Thu Sep 27 22:25:00 2012 +0200
+++ b/code/nel/src/sound/driver/openal/sound_driver_al.cpp	Thu Sep 27 21:08:32 2012 +0200
@@ -246,7 +246,6 @@
 	if (AlEnumerateAllExt)
 	{	
 		const ALchar* deviceNames = alcGetString(NULL, ALC_ALL_DEVICES_SPECIFIER);
-		// const ALchar* defaultDevice = NULL;
 		if(!strlen(deviceNames))
 		{
 			nldebug("AL: No audio devices");
@@ -291,6 +290,7 @@
 
 	// OpenAL initialization
 	const ALchar *dev = getDeviceInternal(device);
+	if (!dev) dev = alcGetString(NULL, ALC_DEFAULT_DEVICE_SPECIFIER);
 	nldebug("AL: Opening device: '%s'", dev == NULL ? "NULL" : dev);
 	_AlDevice = alcOpenDevice(dev);
 	if (!_AlDevice) throw ESoundDriver("AL: Failed to open device");
